.video-container {
  height: 50vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
iframe {
  max-width: 100%;
}

.video {
  margin: 0 auto;
  max-width: 100%;
}

/* Responsive styles */
@media screen and (max-width: 620px) {
  .video {
    height: auto;
  }
}

@media (width: 688px) and (height: 1031px) {
  .video {
    height: auto;
  }
}

@media (width: 1024px) and (height: 800px) {
  .video {
    height: auto;
  }
}
